/**
 * Copyright (c) 2022 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "assert.hpp"

void assertTrueImplement(
  const char *file,
  const int32_t line,
  const char *func,
  const bool_t result,
  const char *message,
  ...
) {
  if(result) return;

  // Print file info.
  fprintf(
    stderr,
    "Assert failed in %s:%i :: %s\n",
    file,
    line,
    func
  );

  va_list argptr;
  va_start(argptr, message);
  vfprintf(stderr, message, argptr);
  va_end(argptr);
  fprintf(stderr, "\n");
  throw std::runtime_error("Assert failed.");
}
