// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "MeshComponent.hpp"

namespace Dawn {
  class CubeMeshComponent final : public MeshComponent {
    protected:
      glm::vec3 size;

      void meshLoad(std::shared_ptr<SceneLoadContext> ctx) override;
      void meshBuffer(std::shared_ptr<Mesh> mesh) override;

    public:
      /**
       * Sets the size of the cube.
       * 
       * @param size Size of the cube.
       */
      void setSize(const glm::vec3 &size);
  };
}