// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/mesh/Mesh.hpp"

namespace Dawn {
  class SphereMesh {
    public:
      /**
       * Creates a sphere mesh.
       * 
       * @param mesh The mesh to buffer into.
       * @param radius The radius of the sphere.
       * @param segments The number of segments.
       * @param rings The number of rings.
       */
      static void create(
        std::shared_ptr<Mesh> mesh,
        const float_t radius = 1.0f,
        const int32_t segments = 16,
        const int32_t rings = 16
      );
  };
}